Subject: bug#14708: 24.2; query-replace-regexp when match and replacement are the same

From: Josh <[email-masked]>
Date: Tue, 25 Jun 2013 07:59:26 -0700

On Tue, Jun 25, 2013 at 6:39 AM, Stefan Monnier
<[email-masked]> wrote:
>>> I don't think the difference is very important, but I wouldn't oppose
>>> such a change.
>> Did you read the point I made above and which the reporter conceded, namely
>> that such no-op replacements often indicate broken regexps?
>
> I did.  And just like the improvement he proposes, this downside
> is minor.  I don't think either of the arguments justifies spending
> time on a patch,

I don't understand what you mean here.  I see one argument (the reporter's)
in favor of some form of patch and one argument (mine) in favor of no change
whatsoever to the current behavior.